routes/web.php
<?php

use Illuminate\Support\Facades\Route;
/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/


Route::get('/binary', 'BinaryController@index')->name('binary');

Route::get('/broker/{broker}', 'BrokerWebController@index')->name('web_broker');

Route::get('/contact', 'ContactController@index')->name('contact');

Route::get('/support', 'SupportController@index')->name('support');

Route::get('/features', 'FeaturesController@index')->name('features');

Route::get('/how-its-work', 'How_its_workController@index')->name('how-its-work');

Route::get('/terms-and-condition', 'Terms_conditionController@index')->name('terms');

Route::get('/privacy-policy', 'PrivacyController@index')->name('privacy');

Route::get('/mainpage', 'MainpageController@index')->name('mainpage');
Route::post('/withdraw-request/store', 'MainpageController@transactionStore')->name('transaction.store');
Route::post('/withdraw-request', 'MainpageController@withDrawRequestStatus')->name('withdraw_request_status');
Route::get('/', 'WelcomeController@index')->name('Homepage');


Auth::routes();

Route::get('/home', 'HomeController@index')->name('home');

Route::middleware(['auth'])->group(function () {
    Route::get('/myaccount', ('AccountController@index'))->name('my_account');
    Route::post('/update-broker-id', ('AccountController@updateBrokerAccountId'))->name('update_broker_account');
    Route::get('/refered_user', ('ReferedUserController@index'))->name('refered_user');
    Route::get('/withdrawl', ('WithdrawlController@index'))->name('withdrawl');
    Route::get('/leaderboard', ('LeaderboardController@index'))->name('leaderboard');
    Route::post('/popup-status-update', ('AccountController@popUpStatusUpdate'))->name('popup_update_status');
});

Route::namespace("Admin")->prefix('admin')->group(function(){

    Route::resource('/broker', BrokerController::class);
    Route::resource('/payment', PaymentController::class);
    Route::get('/trade', 'Trade@index')->name('Trade.index');
    Route::get('/verify-booker-user', 'BrokerController@verifyBooker')->name('verify.user.booker');
    Route::get('/verify-booker-user-status/{user_account}', 'BrokerController@approvedBookerAccount')->name('verify.user.booker.update');
    Route::post('/trade', 'Trade@store')->name('Trade.store');
	Route::get('/', 'HomeController@index')->name('admin.home');
    Route::get('/users', 'UserController@index')->name('user.index');
    Route::get('/user/{user}/action-history', 'UserController@actionHistory')->name('user_action.history');
    Route::get('/user/{user}/export', 'UserController@actionHistoryExport')->name('user_action.history_export');
    Route::get('/user/{user}/withdraw/export', 'UserController@withdrawHistoryExport')->name('user_action.withdraw_export');
    Route::get('/user/{user}/status', 'UserController@status')->name('user.status');
    Route::get('/user/{user}/delete', 'UserController@delete')->name('user.delete');
    Route::get('/user/{user}/transactiondelete', 'UserController@transactiondelete')->name('user.transactiondelete');
    Route::get('/user/{user}/referal', 'UserController@referal')->name('user.referals');
    Route::get('/user/{user}/summary', 'UserController@summary')->name('user.summary');
	Route::get('/withdraw-request', 'HomeController@transaction')->name('transaction.index');
    Route::get('/setting', 'HomeController@Setting')->name('settings');
    Route::post('/setting/update', 'HomeController@settingUpdate')->name('settings.update');
    Route::get('/activity-logs', 'UserController@activityLogs')->name('activity-logs');
    Route::get('/user-summary-report', 'UserController@userSummaryReport')->name('user-report-account');
    Route::get('/user-site-summary-report', 'UserController@withUserSiteSummaryExport')->name('user-site-summary-report');
    Route::resource('/accounts', AccountController::class);
    Route::get('monthly-level-down', 'UserController@monthlyLevelDown')->name('monthly-level-down');

    Route::namespace('Auth')->group(function(){
        Route::get('/login', 'LoginController@showLoginForm')->name('admin.login');
        Route::post('/login', 'LoginController@login');
        Route::post('logout', 'LoginController@logout')->name('admin.logout');
    });
});

Route::get('referal/{account_id}/register', 'ReferedUserController@referredView')->name('user_referred');

Route::get('/email', function () {
    $data = [
        'name' => 'Shehryar',    
        'request_amount' => 125.50,    
        'date' => \Carbon\Carbon::now()->format('Y-m-d h:i a'),    
    ];
    Mail::send('email/withdrawl-request-email', ['data'=>$data ], function ($message) use ($data) {
        $message->to('shehryarhaider0316@gmail.com')
            ->from('info@fxcashbacks.com','FXCASHBACKS')
            ->subject("Welcome to FxCashbacks");
    });
    return "DOne";
});
Route::get('reset', function (){
    Artisan::call('route:clear');
    Artisan::call('view:clear');
    // Artisan::call('route:cache');
    Artisan::call('cache:clear');
    Artisan::call('config:clear');
    Artisan::call('config:cache');
    // Artisan::call('optimize'x);
    echo "cache Clear";
});

app/Account.php
<?php

namespace App;

use Illuminate\Database\Eloquent\Model;

class Account extends Model
{
    //
}

app/Http/Controllers/AccountController.php
<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use Auth;
use App\UserBrokerAccount;
use App\Trader_trades;
use App\Broker;

class AccountController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
        $trading_brokers        =    Trader_trades::get()->groupBy('broker_id');
        $trading_brokers        =    array_keys($trading_brokers->toArray());
        // $brokers                =    Broker::whereIn('id',$trading_brokers)->get();
        $brokers                =    UserBrokerAccount::with('user','broker')->where([['user_id',Auth::user()->id],['approved',1]])->get();
        // $brokers=  $brokers->unique('broker_id');
        $data = [
            'brokers'   => $brokers
        ];
        return view('dashboard.myaccount',$data);
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function updateBrokerAccountId(Request $request)
    {
        $data = $request->validate([
            'user_account_id' => 'required',
            'broker_id'  => 'required'
        ]);
        $data['user_id'] = Auth::user()->id;
        $userbrokeraccount = UserBrokerAccount::where([['broker_id',$request->broker_id],['user_id',Auth::user()->id]])->first();
        // if(empty($userbrokeraccount)){
        UserBrokerAccount::create($data);
            // Auth::user()->update(['user_account_id'=>$request->account_id]);
        return redirect()->back()->with('success','Account Added Successfully');        
        // }
        // return redirect()->back()->with('error','Already Registered');
    }

    public function popUpStatusUpdate(Request $request){
        Auth::user()->update(['popup_visited'=>1]);
        return response()->json([
            'success' => 'Success',
            'message'   =>  'Status Updated Successfully'
        ]);
    }
}

app/Http/Controllers/Admin/AccountController.php
<?php

namespace App\Http\Controllers\admin;

use App\Http\Controllers\Controller;
use Illuminate\Http\Request;
use App\Admin;
use App\ActivityLog;
use Illuminate\Support\Facades\Storage;
use Hash;

class AccountController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
        $accounts = Admin::get();
        activityLog('View Admin Accounts');
        return view('admin.account.index', compact('accounts'));
    }

    /** 
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        return view('admin.account.create');
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        $data = $request->validate([
            'name'                   =>  'required',
            'email'                  =>  'required',
            'password'               =>  'required|confirmed',
            'user_type'               =>  'required',
        ]);
        $data['password'] = Hash::make($data['password']);
        Admin::create($data);
        activityLog('Store Admin Account');
        return redirect()->route('accounts.index')
                        ->with('success','Account created successfully.');
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function edit($id)
    {
        $account = Admin::find($id);
        return view('admin.account.edit', compact('account'));
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, Admin $account)
    {
        $data = $request->validate([
            'name'                   =>  'required',
            'email'                  =>  'required',
            'password'               =>  'nullable|confirmed',
            'user_type'               =>  'required',
        ]);
        if ($request->password) {
            $data['password'] = Hash::make($data['password']);
        }   
        
        $account->update($data);
        activityLog('Update Admin Account');
        return redirect()->route('accounts.index')
                        ->with('success','Account updated successfully.');
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy($id)
    {
        $account = Admin::find($id);
        $account->delete();
        ActivityLog::where('user_id',$id)->delete();
        activityLog('Delete Admin Account');
        return redirect()->route('accounts.index')
                        ->with('success','Account deleted successfully');
    }
}

resources/views/admin/account/create.blade.php
@extends('admin.layouts.app')

@section('content')
<main id="main" class="main">

    <div class="pagetitle">
        <h1>Add Account </h1>
        <nav>
            <ol class="breadcrumb">
                <li class="breadcrumb-item"><a href="{{url('admin.home')}}">Home</a></li>
                <li class="breadcrumb-item">Account</li>
            </ol>
        </nav>
    </div><!-- End Page Title -->
    <section class="section">
        <div class="row">
            <div class="col-lg-12">
                <div class="card">
                    <div class="card-body">
                        <h5 class="card-title">Add Account</h5>

                        <!-- Multi Columns Form -->
                        <form class="row g-3" method="post" enctype="multipart/form-data"
                            action="{{ route('accounts.store') }}">
                            @csrf
                            <div class="col-md-6">
                                <label for="inputName1" class="form-label">Name</label>
                                <input type="text" class="form-control" placeholder="Enter Name" name="name" id="inputName1">
                            </div>
                            <div class="col-md-6">
                                <label for="inputEmail3" class="form-label">Email</label>
                                <input type="text" class="form-control" placeholder="Enter Email" name="email" id="inputEmail3">
                            </div>
                            <div class="col-md-6">
                                <label for="inputEmail3" class="form-label">Password</label>
                                <input type="password" class="form-control" placeholder="*********" name="password" id="inputEmail3">
                            </div>
                            <div class="col-md-6">
                                <label for="inputEmail3" class="form-label">Confirm Passowrd</label>
                                <input type="password" class="form-control" placeholder="*********" name="password_confirmation" id="inputEmail3">
                            </div>
                            <div class="col-md-6">
                                <label for="inputEmail3" class="form-label">Select Role</label>
                                <select class="form-select" required name="user_type" aria-label="Default select example">
                                    <option value="0" selected>Admin</option>
                                    <option value="1">Super Admin</option>
                                </select>
                            </div>
                        </hr>
                            <div class="text-end">
                                <button type="submit" class="btn btn-primary">Submit</button>
                            </div>
                        </form><!-- End Multi Columns Form -->

                    </div>
                </div>
            </div>
        </div>
    </section>

</main><!-- End #main -->
@endsection

resources/views/admin/account/edit.blade.php
@extends('admin.layouts.app')

@section('content')
<main id="main" class="main">

    <div class="pagetitle">
        <h1>Edit Account </h1>
        <nav>
            <ol class="breadcrumb">
                <li class="breadcrumb-item"><a href="{{url('admin.home')}}">Home</a></li>
                <li class="breadcrumb-item">Account</li>
            </ol>
        </nav>
    </div><!-- End Page Title -->
<section class="section">

    @if ($errors->any())
        <div class="alert alert-danger">
            <strong>Whoops!</strong> There were some problems with your input.<br><br>
            <ul>
                @foreach ($errors->all() as $error)
                    <li>{{ $error }}</li>
                @endforeach
            </ul>
        </div>
    @endif

    <form action="{{ route('accounts.update',$account->id) }}" method="POST" enctype="multipart/form-data">
        @csrf
        @method('PUT')

         <div class="row">
            <div class="col-md-6">
                <label for="inputName1" class="form-label">Name</label>
                <input type="text" class="form-control" name="name" placeholder="Enter Name" value="{{$account->name}}" id="inputName1">
            </div>
            <div class="col-md-6">
                <label for="inputEmail3" class="form-label">Email</label>
                <input type="text" class="form-control" name="email" placeholder="Enter Email" value="{{$account->email}}" id="inputEmail3">
            </div>
            <div class="col-md-6">
                <label for="inputEmail3" class="form-label">Password</label>
                <input type="password" class="form-control" placeholder="*********" name="password" id="inputEmail3">
            </div>
            <div class="col-md-6">
                <label for="inputEmail3" class="form-label">Confirm Passowrd</label>
                <input type="password" class="form-control" placeholder="*********" name="password_confirmation" id="inputEmail3">
            </div>
            <div class="col-md-6">
                <label for="inputEmail3" class="form-label">Select Role</label>
                <select class="form-select" required name="user_type" aria-label="Default select example">
                    <option value="0" {{$account->user_type == 0 ? 'selected' : null }}>Admin</option>
                    <option value="1" {{$account->user_type == 1 ? 'selected' : null }}>Super Admin</option>
                </select>
            </div>
            {{-- <div class="col-xs-12 col-sm-12 col-md-12 text-center">
              <button type="submit" class="btn btn-primary">Submit</button>
            </div> --}}
        </hr>
        <div class="text-end">
            <button type="submit" class="btn btn-primary">Submit</button>
        </div>
        </div>

    </form>
</section>
</main>
@endsection

resources/views/admin/account/index.blade.php
@extends('admin.layouts.app')

@section('content')
<main id="main" class="main">

    <div class="pagetitle">
      <h1>View Accounts</h1>
      <nav>
        <ol class="breadcrumb">
          <li class="breadcrumb-item"><a href="{{url('admin.home')}}">Home</a></li>
          <li class="breadcrumb-item">Tables</li>
          <li class="breadcrumb-item active">Data</li>
        </ol>
      </nav>
    </div><!-- End Page Title -->

    <section class="section">
      <div class="row">
        <div class="col-lg-12">

          <div class="card">
            <div class="card-body">
              <h5 class="card-title">View Accounts</h5>

            <a href="{{route('accounts.create')}}"> Add Accounts</a>

              <!-- Table with stripped rows -->
              <table class="table datatable">
                <thead>
                  <tr>
                    <th scope="col">#</th>
                    <th scope="col">Name</th>
                    <th scope="col">Email</th>
                    <th scope="col">Action</th>
                  </tr>
                </thead>
                <tbody>
                    @foreach($accounts as $key => $account)
                    @if ($key != 0)
                    <tr>
                      <td> {{ ++$key}}</td>
                      <td>{{ $account->name}}</td>
                      <td>{{ $account->email}}</td>
                      <td>
                          <form action="{{ route('accounts.destroy',$account->id) }}" method="POST">

                              {{-- <a class="btn btn-info" href="{{ route('account.show',$account->id) }}">Show</a> --}}

                              {{-- <a class="btn btn-primary" href="{{ route('account.edit',$account->id) }}">Edit</a> --}}

                              @csrf
                              @method('DELETE')

                              <a class="btn btn-info" href="{{ route('accounts.edit',$account->id) }}">Edit</a>
                              <button type="submit" class="btn btn-danger">Delete</button>
                          </form>
                      </td>

                    </tr>
                    @endif
                  @endforeach
                </tbody>
              </table>
              <!-- End Table with stripped rows -->

            </div>
          </div>

        </div>
      </div>
    </section>

  </main><!-- End #main -->

@endsection